Skip to main content
GET
/
networks
/
advertisers
/
{advertiserId}
Get Advertiser by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/advertisers/{advertiserId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_advertiser_id": 123,
  "network_id": 123,
  "name": "<string>",
  "account_status": "active",
  "network_employee_id": 123,
  "sales_manager_id": 123,
  "internal_notes": "<string>",
  "default_currency_id": "<string>",
  "platform_name": "<string>",
  "platform_url": "<string>",
  "platform_username": "<string>",
  "reporting_timezone_id": 123,
  "attribution_method": "first_touch",
  "email_attribution_method": "last_affiliate_attribution",
  "attribution_priority": "click",
  "accounting_contact_email": "<string>",
  "verification_token": "<string>",
  "offer_id_macro": "<string>",
  "affiliate_id_macro": "<string>",
  "is_contact_address_enabled": true,
  "contact_address": {
    "address_1": "<string>",
    "address_2": "<string>",
    "city": "<string>",
    "region_code": "<string>",
    "country_code": "<string>",
    "zip_postal_code": "<string>"
  },
  "labels": [
    "<string>"
  ],
  "time_created": 123,
  "time_saved": 123,
  "relationship": {}
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

advertiserId
integer
required

The unique advertiser ID.

Query Parameters

relationship
enum<string>

Include related data. Repeat for multiple relationships.

Available options:
reporting,
labels,
demand_partner,
billing,
integrations,
api

Response

OK

network_advertiser_id
integer

Unique advertiser ID.

network_id
integer
name
string

Advertiser name.

account_status
enum<string>
Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

sales_manager_id
integer
internal_notes
string
default_currency_id
string
platform_name
string
platform_url
string
platform_username
string
reporting_timezone_id
integer
attribution_method
enum<string>
Available options:
first_touch,
last_touch
email_attribution_method
enum<string>
Available options:
last_affiliate_attribution,
first_affiliate_attribution
attribution_priority
enum<string>
Available options:
click,
coupon_code
accounting_contact_email
string
verification_token
string
offer_id_macro
string
affiliate_id_macro
string
is_contact_address_enabled
boolean
contact_address
object
labels
string[]
time_created
integer

Unix timestamp when the advertiser was created.

time_saved
integer

Unix timestamp when the advertiser was last updated.

relationship
object

Related data (only present when requested via query parameter).